{ pkgs, ... }:
{
  imports = [
    ./channels
    ./distributed
    ./gc
    ./unfree
  ];

  nix = {
    package = pkgs.lix;
    settings = {
      experimental-features = [
        "nix-command"
        "flakes"
      ];
      auto-optimise-store = true;
    };
  };

  # Use a newer implementation of nixos-rebuild
  system.rebuild.enableNg = true;
}
